%global pypi_name jsonschema

Summary:        Implementation of JSON Schema validation for Python
Name:           python-jsonschema
Version:        4.17.3
Release:        2%{?dist}
License:        MIT
URL:            https://github.com/python-jsonschema/jsonschema
Source0:        %{pypi_source}
 
BuildArch:      noarch
BuildRequires:  python3-devel
 
%bcond_with tests
%if %{with tests}
BuildRequires:  python3dist(twisted)
%endif
 
 
%description
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).
 
 - Full support for Draft 7, Draft 6, Draft 4 and Draft 3
 - Lazy validation that can iteratively report all validation errors.
 - Small and extensible
 - Programmatic querying of which properties or items failed validation.
 
 
%package -n     python3-jsonschema
Summary:        Implementation of JSON Schema validation for Python
%description -n python3-jsonschema
jsonschema is an implementation of JSON Schema for Python (supporting
2.7+, including Python 3).
 
%package -n python3-jsonschema+format
Summary: Subpackage for python3-jsonschema with extra format dependencies
Requires: python3-jsonschema

%description -n python3-jsonschema+format
This is the subpackage for python3-jsonschema with extra format dependencies.

%files -n python3-jsonschema+format -f %{_pyproject_ghost_distinfo}

 
 
%prep
%autosetup -n jsonschema-%{version}
rm jsonschema/tests/test_jsonschema_test_suite.py
%generate_buildrequires
%pyproject_buildrequires
 
%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files jsonschema
 
 
%if %{with tests}
%check
PYTHONPATH=%{buildroot}%{python3_sitelib} trial-3 jsonschema
%endif
 
%files -n python3-jsonschema -f %{pyproject_files}
%license COPYING json/LICENSE
%license %{python3_sitelib}/jsonschema-%{version}.dist-info/licenses/
%doc README.rst
%{_bindir}/jsonschema
 
%changelog
* Wed Jul 31 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.17.3-2
- initial build
